Subject: Re: [PATCH v4 net-next 5/5] drivers/net/phy: add driver for the onsemi NCN26000 10BASE-T1S PHY

From: Piergiorgio Beruto <[email-masked]>
Date: Tue, 6 Dec 2022 19:10:50 +0100

On Tue, Dec 06, 2022 at 05:50:13PM +0100, Andrew Lunn wrote:
> > OK, as you see I'm a bit "outdated" :-)
> > What would be the alternative? There is a bunch of vendor-specific PHY
> > features that I would like to expose at some point (e.g. regulation of
> > TX voltage levels). Thanks!
> 
> TX voltages sound like they are board specific, so use DT properties.
> 
> For runtime properties, look at phy tunables.
Ok, but as far as I understand tunables, these need to be "generalized".
I was wondering if there is some interface (sysfs / proc / other) to set
parameters which are very specific to a PHY implementation?

Thanks,
Piergiorgio